package com.caimei.mapper;

import com.caimei.model.po.ClubUserPo;
import com.caimei.model.vo.ClubUserVo;
import com.caimei.model.vo.ClubVo;
import com.caimei.model.vo.WxClubListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/8
 */
@Mapper
public interface ClubMapper {
    List<ClubVo> getClubList(@Param("authUserId") Integer authUserId, @Param("clubName") String clubName);

    List<ClubUserVo> getClubUserList(@Param("authId") Integer authId, @Param("mobile") String mobile, @Param("status") Integer status);

    void insertClubUser(ClubUserPo clubUser);

    void unbindClubUser(Integer clubUserId);

    void updateCode(@Param("clubUserId") Integer clubUserId, @Param("invitationCode") String invitationCode, @Param("updateTime") Date updateTime, @Param("invitationCodeTime") Date invitationCodeTime);

    Integer getStatusByClubUserId(Integer clubUserId);

    List<WxClubListVo> getWxClubList(@Param("authUserId") Integer authUserId, @Param("clubName") String clubName);

    Integer checkMobile(String mobile);

    void insertFeedback(@Param("clubUserId") Integer clubUserId, @Param("content") String content);
}
