package com.caimei.model.vo;

import com.caimei.model.po.ShopInfoPo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class ShopFormVo implements Serializable {
    /**
     * 供应商用户id
     */
    @ApiModelProperty("供应商用户id")
    private Integer authUserId;

    /**
     * 供应商名称
     */
    @ApiModelProperty("供应商名称")
    private String shopName;

    /**
     * 供应商类型：1代理商 2品牌方
     */
    @ApiModelProperty("供应商类型")
    private Integer shopType;

    @ApiModelProperty("公众号二维码图片")
    private String qrCodeImage;

    @ApiModelProperty("供应商公众号appId")
    private String appId;

    @ApiModelProperty("供应商公众号appSecret")
    private String appSecret;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;

    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String linkMan;

    /**
     * 供应商状态：0停用 1启用
     */
    @ApiModelProperty("供应商状态：0停用 1启用")
    private Integer shopStatus;

    /**
     * 供应商信息列表
     */
    @ApiModelProperty("供应商信息列表")
    private List<ShopInfoVo> shopInfo;

    /**
     * 已存在商品的品牌id,以,隔开
     */
    @ApiModelProperty("已存在商品的品牌id,以,隔开")
    private String existProductBrandIds;
}
