package com.caimei.service;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.WxClubUserVo;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/15
 */
public interface LoginService {
    /**
     * 微信授权登录
     * @param code
     * @param appId
     * @return
     */
    ResponseJson<WxClubUserVo> loginByAuthorization(String code, String appId);

    /**
     * 发送登录验证码
     *
     * @param mobile
     * @return
     */
    ResponseJson sendVerifyCode(String mobile);

    /**
     * 邀请码登录
     * @param mobile
     * @param verifyCode
     * @param invitationCode
     * @param accessToken
     * @param openId
     * @param appId
     * @return
     */
    ResponseJson<WxClubUserVo> loginByInvitationCode(String mobile, String verifyCode, String invitationCode, String accessToken, String openId, String appId) throws Exception;
}
